Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deMesh.cpp File Reference

mesh class interface More...

`#include "deConsole.hpp"`
`#include "deMesh_priv.hpp"`
`#include "deSurface.hpp"`
`#include "deMath.hpp"`
`#include "deDriver.hpp"`

Include dependency graph for deMesh.cpp:

## Compounds
struct | deMesh_Header_t
struct | deVBuffer_Header_t
## Functions
| WorldObjectClassImp (deMesh)
deBoolean | IdeMesh_Initialize ()
long | IdeMesh_GetWOInterfaceID ()
| Get the IdeMesh WorldObject interface ID.
IdeMesh * | IdeMesh_CreateMesh ()
| Create an instance of IdeMesh.
deBoolean | SerializeVBuffer (IdeVertexBuffer *VB, IdeFile *FS)
deBoolean | DeSerializeVBuffer (IdeVertexBuffer *VB, IdeFile *FS, u32 &AmtRead, long DataLength)
## Variables
long | s_deMeshWOInterfaceID = -1
const deMesh_Header_t | deMesh_Header = {0,1}
const deVBuffer_Header_t | deVBuffer_Header = {0,1}

## Detailed Description

mesh class interface

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Aug 2003

Author:
  Assassin

Remarks:
  Creation

## Function Documentation

deBoolean DeSerializeVBuffer | ( | IdeVertexBuffer * | VB,
|  | IdeFile * | FS,
|  | u32 & | AmtRead,
|  | long | DataLength
| ) | `[static]`

IdeMesh* IdeMesh_CreateMesh | ( |  | ) |

| Create an instance of IdeMesh.

long IdeMesh_GetWOInterfaceID | ( |  | ) |

| Get the IdeMesh WorldObject interface ID.

deBoolean IdeMesh_Initialize | ( |  | ) |

deBoolean SerializeVBuffer | ( | IdeVertexBuffer * | VB,
|  | IdeFile * | FS
| ) | `[static]`

WorldObjectClassImp | ( | deMesh |  | ) |

## Variable Documentation

const deMesh_Header_t deMesh_Header = {0,1}`[static]`

const deVBuffer_Header_t deVBuffer_Header = {0,1}`[static]`

long s_deMeshWOInterfaceID = -1`[static]`